Skip to main content
POST
/
v1
/
completions
Create Completion
curl --request POST \
  --url https://external.nebius.tensormesh.ai/v1/completions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-User-Id: <x-user-id>' \
  --data '
{
  "model": "openai-gpt-oss-120b-gpu-type-h200x1_8nic16",
  "prompt": "Reply with ok."
}
'
{
  "id": "cmpl_123",
  "object": "text_completion",
  "created": 123,
  "model": "<string>",
  "choices": [
    {
      "index": 123,
      "text": "<string>",
      "finish_reason": "<string>",
      "logprobs": {},
      "stop_reason": "<string>"
    }
  ],
  "usage": {
    "prompt_tokens": 123,
    "total_tokens": 123,
    "completion_tokens": 123,
    "prompt_tokens_details": {}
  }
}
Use this page when you want the routed On-Demand text-completions endpoint instead of chat completions.
  • Auth: Authorization: Bearer <API_KEY>
  • Routing: required X-User-Id: <uuid>
  • Host: choose the external Tensormesh host for your provider
  • Model: pass a served On-Demand model name in the JSON request body

Authorizations

Authorization
string
header
required

Bearer authentication using your On-Demand API key. Format: Bearer <API_KEY>

Headers

X-User-Id
string<uuid>
required

Tensormesh user id used for attribution and routing.

Body

application/json
model
string
required

On-Demand served model name to use.

Example:

"openai-gpt-oss-120b-gpu-type-h200x1_8nic16"

prompt
required

Prompt text to complete.

max_tokens
integer | null

Response

Successful Response

id
string
required
Example:

"cmpl_123"

object
string
required
Example:

"text_completion"

created
integer
required
model
string
required
choices
TextCompletionChoice · object[]
required
usage
UsageInfo · object